# [Django Pixel UI](https://app-generator.dev/docs/products/django-libs/theme-pixel.html)

Modern UI Library for **Django**, Auth Pages (registration included) crafted on top of **Pixel UI**, an open-source **Bootstrap** design.

- [Django Pixel UI](https://app-generator.dev/docs/products/django-libs/theme-pixel.html) - Documentation & Support Links
- [Django Pixel UI](https://app-generator.dev/product/pixel-bootstrap/django/) - The product that uses the library
- [Getting Started with Django](https://app-generator.dev/docs/technologies/django/index.html) - Learn how to code **Django** Projects

<br />

## **Features**

- Design: **[Pixel UI](https://app-generator.dev/docs/templates/bootstrap/pixel-bootstrap.html)** (Bootstrap)
- **Sections Covered**: 
  - `All pages` managed by `Django.contrib.AUTH`
  - `Registration` page
  - `Misc pages`: colors, icons, typography, blank-page 
  
<br />

### Build a Starter with [Django App Generator - Pixel UI KIT](https://app-generator.dev/tools/django-generator/pixel/)

- Access the [App Generator](https://app-generator.dev/tools/django-generator/) page
- Select **Pixel UI Kit** as the preferred design
- (Optional) Design Database: edit models and fields
- (Optional) Edit the fields for the extended user model
- (Optional) Enable OAuth for GitHub
- (Optional) Add Celery (async tasks)
- (Optional) Enable Dynamic API Module
- Docker Scripts
- Render CI/Cd Scripts

**The generated Django project is available as a ZIP Archive and also uploaded to GitHub.**

<br />

![Django Pixel UI - Modern UI Library for Django crafted on top of a modern Bootstrap, Open-Source Design.](https://user-images.githubusercontent.com/51070104/168753915-d61b2f97-57b2-4d14-a774-d217d120ff62.png)

<br />

## [Pixel PRO Version](https://app-generator.dev/product/pixel-bootstrap-pro/django/)

> The premium version provides more features, priority on support, and is more often updated - [Live Demo](https://django-pixel-enh.appseed-srv1.com/).

- Simple, Easy-to-Extend codebase
- **Pixel PRO** - Full Integration of the `Premium Version` 
- Bootstrap 5 Styling 
- Session-based Authentication
- DB Persistence: SQLite (default), can be used with MySql, PgSql
- Docker 
- CI/CD integration for Render 

![Django Pixel PRO - Premium Django Starter](https://user-images.githubusercontent.com/51070104/168760719-f0e45406-2b2a-43e0-badf-fa953edb62b8.png)

<br />

---
**[Django Pixel UI](https://app-generator.dev/docs/products/django-libs/theme-pixel.html)** - Modern Django UI Library provided by **[App-Generator](https://app-generator.dev)**
